<?
include("../fnc.php");
enlinea_alumno();
  if(!$_POST[id_re]){
    alert("Parámetros incorrectos","frm_login.php");
  }
  $id_pr=dec($idp);
  $id_ev=dec($idev);

  $qpr=mysql_query("select * from enc_preguntas where id = $id_pr");
  if(mysql_num_rows($qpr)==0){
    alert("Parámetros incorrectos","frm_login.php");
  }else{
    $ipr=mysql_fetch_array($qpr);
  }

  $qre=mysql_query("select * from enc_opciones where id='$id_re' and pregunta='$id_pr'");
  if(mysql_num_rows($qre)==0){
    alert("Parámetros incorrectos","frm_login.php");
  }

  $ire=mysql_fetch_array($qre);
  $nota=$ire[valor];

  $sql="insert into enc_respuestas (encuesta, pregunta, alumno, respuesta, nota, fecha, ip, tipo)
        values('$id_ev', $id_pr, '$uuser',$id_re, $nota, '$fechahora','$rmhost','A')";

  $qverifica=mysql_query("select * from enc_respuestas where alumno='$uuser' and pregunta='$id_pr' and tipo = 'A'");
  if(mysql_num_rows($qverifica)==0){
    $insert=mysql_query($sql);
    if($insert){
      header("Location: responder_encuesta.php?idev=$idev");
    }else{
      alert("Error: ".mysql_error(),"javascript:history.go(-1)");
    }
  }else{
    header("Location: responder_encuesta.php?idev=$idev");
  }
?>